export declare type Dictionary<T> = {
    [name: string]: T;
};
export declare type ValidationFunction = (value: string) => boolean;
export declare type RuleValidator = RegExp | ValidationFunction | String;
export declare function create(rules: Dictionary<RuleValidator>): Validator;
export declare class Validator {
    namedRules: Dictionary<RuleValidator>;
    rules: Dictionary<RuleValidator>;
    error: Dictionary<string>;
    constructor(rules?: Dictionary<RuleValidator>);
    validate(value: any, validator: string | RuleValidator): boolean;
    validateAll(item: any): boolean;
    hasErrors(): boolean;
    getErrors(): Dictionary<string>;
    addRule(name: string, validator: RuleValidator): Validator;
    removeRule(name: string): Validator;
    hasRule(name: string): boolean;
    private _getNamedRule(item);
    private _meta(validator);
    private _isEmpty(value);
    private _resolve(source, path, need);
}
